﻿# 使用Dism++安装系统
安装系统是一个简单而又复杂的活。有的仅仅为了安装系统，先把ESD转为ISO。有的因为安装器不支持ESD，而转换为WIM。还有的在解压ISO……这根本原因是人们很多时候难以灵活运用现有的工具。君子生非异也，善假于物也。本文将通过一些实例，帮助大家驾驭Dism++。

## 前言
### 启动Dism++ RE模式
大家可能听说过PE，没见过RE。其实RE可以说跟PE是一样的，也就是说PE能做什么，RE也能做什么。另外Vista以后的系统都自带RE，所以我们平常的工作完全可以使用RE来解决，无需使用PE。

是不是心动了？Dism++为了简化RE使用流程，特意引入了RE模式。其作用就是重启系统，然后启动RE，在启动Dism++。

使用方法也很简单，在菜单点击 `恢复功能 - 在RE中运行`。首次启用需要配置一些设置，操作完成后重启电脑就可以了。

> 在RE模式中，Dism++可以格式化系统盘。如果需要全新安装系统，又不想使用PE，可以使用此模式。

### Dism++添加引导支持情况
#### 传统BIOS以及UEFI支持情况
Dism++完全支持标准的传统BIOS以及UEFI引导。但是要看清楚，是支持标准的引导，一些非标准的是不支持的。典型的UEFI启动的系统使用MBR磁盘是不支持的。

这是因为Dism++有自动检测逻辑，发现系统盘是MBR格式，那么添加引导时自动按照传统BIOS启动方式进行处理。反之，发现GPT分区则安装UEFI方式处理。

因此那些系统盘是MBR却要用UEFI启动，或者系统盘是GPT却要上传统BIOS启动。这些情况，Dism++的处理结果是不能让人满意的，这些用户建议手动配置引导。
#### 多硬盘引导支持情况
Dism++完美支持多硬盘引导。可以为多个硬盘设置独立引导，也可以使用共享引导。但是多硬盘引导设置往往需要人工干预，因为程序并不知道你需要独立引导，还是共享引导。

Dism++默认使用独立引导模式，需要调整为共享引导的用户，在添加引导时，请点击`更多`，然后手动调整。

#### 隐藏启动分区支持情况
Dism++完美支持隐藏启动分区，用户无需手动分配盘符。添加引导信息时，程序能直接操作隐藏的启动分区，无需分配盘符。特别是UEFI用户，放马过来吧。

#### VHD/VHDX启动支持情况
Dism++完美支持配置VHD启动，程序检测到系统盘是VHD时，会自动转向到VHD模式，无需人工干预。不过，值得注意的是Windows 7旗舰版才支持VHD启动。另外只有Windows 8以上系统才能使用VHDX，到时搞了半天……

最后有要扯到 传统BIOS以及UEFI支持情况。VHD的分区类型跟启动盘的分区类型必须一致，不然Dism++没法正常配置引导。比如VHD是GPT那么启动盘也需要是GPT，反之亦然。

## 从ISO安装系统
ISO是最常见的系统载体，为此Dism++提供了直接的ISO支持。你可以直接使用ISO安装系统，无需挂载ISO或者解压ISO。
> Dism++内置了文件虚拟化技术，可以将文件流虚拟为一个文件。因此Dism++可以直接释放ISO里的install.wim。

使用方法也很简单，在菜单中，点击文件 - 释放映像 即可。记得勾选 `添加引导`。`格式化`这个选项可以根据自己的需要使用，如果勾选此选项，会把的选择的系统盘进行清空。

![ISOInstallOS](./images/ISOInstallOS.png)

上图中，将ISO中的系统安装到 D盘，同时对D盘进行格式化。

点击目标映像右侧的下拉框，可以切换系统，确认无误后点击确定即可。

> 如果你需要格式化当前系统盘，则上述操作必须在RE或者PE等其他系统中进行。


## 从ESD（包括加密ESD以及UUP ESD）安装系统
从Windows 8以后，微软会定期从Windows Update推送ESD。而ESD中就包含了安装系统所必需的文件。我们可以直接使用ESD进行系统安装。哪怕这个ESD是加密的或者UUP分段ESD。
> Dism++内置了文件虚拟化技术，加密ESD会在内存中解密，然后再释放系统，此过程并不会修改原始ESD文件。

使用方法也很简单，在菜单中，点击文件 - 释放映像 即可。记得勾选 `添加引导`。`格式化`这个选项可以根据自己的需要使用，如果勾选此选项，会把的选择的系统盘进行清空。
> 释放UUP ESD时，可以选择UUP文件夹中的ActionList.xml（推荐），也可以直接选择顶级ESD（比如Professional_zh-cn.esd）。

![ApplyUUPESD](./images/ApplyUUPESD.png)

如上图，跟ISO释放稍微不同的是，目标映像需要选择操作系统，如上图所示目标映像，千万别傻傻的选择Windows Setup。

点击目标映像右侧的下拉框，可以切换系统，确认无误后点击确定即可。

> 如果你需要格式化当前系统盘，则上述操作必须在RE或者PE等其他系统中进行。

## 使用Compact技术安装系统
Compact是Windows 10新引入的压缩启动技术。一般减少1/3的空间占用，同时几乎不影响到IO性能。

在Dism++中，你可以使用Compact技术安装Windows 7以上所有系统。程序将自动配置驱动并解压核心启动文件。

> 需要注意的是，要使用Compact技术，Host系统必须是Windows 7或者更高。另外在Windows 7中默认不会加载WofAdk驱动。Win7用户使用前，请先在 选项 - 详细设置。勾选加载WofADK驱动，然后点击确定。

Comacpt技术使用也非常简单，在释放映像时（支持WIM、SWM、ESD、UUP ESD以及ISO），勾选Compact，添加引导即可。如下图所示：

![CompactOS](./images/CompactOS.png)

操作完成后，重启系统即可启动Compact技术安装的系统了。

## 使用WIMBoot技术安装系统
WIMBoot技术可以减少更多的空间占用，同时充分的利用了备份区，而且由于文件集中存放，往往可以提供更佳的IO性能。看似一切很美好，但是有个致命问题，长期使用WIMBoot会导致系统盘体积越来越大。最后表现比Compact还渣……
> WIMBoot技术是Compact的前身，由于有个体积越来越大问题，所以被抛弃使用。Dism++建议优先考虑使用Compact。

在Dism++中，你可以使用WIMBoot技术安装Windows 7以上所有系统。程序将自动配置驱动并解压核心启动文件。

> 需要注意的是，要使用WIMBoot技术，Host系统必须是Windows 7或者更高。另外在Windows 7中默认不会加载WofAdk驱动。Win7用户使用前，请先在 选项 - 详细设置。勾选加载WofADK驱动，然后点击确定。

WIMBoot技术使用略微比Compact麻烦一点，首先你需要准备一个WIMBoot压缩类型的wim文件。
> PS: 虽然Dism++也支持快速压缩以及最大压缩的wim文件以WIMBoot方式启动，但是Dism++建议还是转换到WIMBoot压缩然后继续，以获得更加性能。

![ExportWIMBoot](./images/ExportWIMBoot.png)

如上图所示，我们把ISO里面的Windows 7旗舰版，选择WIMBoot压缩，然后导出到`G:\Win7 WIMBoot.wim`。

转换完成后，在使用`文件 - 释放映像`，并勾选WIMBoot即可，如下图所示：

![ApplyWIMBoot](./images/ApplyWIMBoot.png)

把刚才得到的`G:\Win7 WIMBoot.wim`，使用WIMBoot技术，释放到D盘，格式化并添加引导。

OK，现在大功告成，操作完成后，重启就能看到WIMBoot启动的系统了。