﻿# 给ISO离线集成补丁
大家是否厌倦了每次安装补丁后又要打一堆补丁的感觉？使用微软的Dism打补丁又需要自己收集补丁，而且每个月有新补丁，还有老补丁被取代。现在Dism++重建了Windows Update，直接从WSUS服务器中导出补丁数据库，全自动获取最新更新，自动剔除过期老补丁，在通过CBS判断系统是否需要此更新。下面来看看怎么使用吧。

## 解压ISO
为了处理ISO里面的install.wim。我们先把ISO文件解压到硬盘。这一步，你可以使用压缩软件，比如7z等，右键解压即可。假设我们解压到`D:\Temp`。

## 挂载install.wim
为了让Dism++能识别到系统，我们需要挂载install.wim。`挂载映像`非常简单，在菜单点击 `文件 - 挂载映像`。

映像文件路径我们设置为`D:\Temp\Sources\install.wim`。
挂载路径我们设置为`D:\Mount`（必须存在）。
如果你需要调整映像，则执行点击目标映像，切换需要挂载的系统。（比如我这里选择了Win7旗舰版）

最后点击确定

## 扫描并安装更新
点击`打开会话`，然后点击`更新管理`，在点击`扫描`，扫描完成后程序会列出所有可以安装的更新，选中需要的更新点点击安装即可
温馨提示：Dism++会把更新缓存在 程序目录的 "Config\\UpdateCache"文件夹，以后安装时Dism++将直接使用上次的缓存。

![OpenSession](./images/OpenSession.png)

首先打开会话

![ScanUpdates](./images/ScanUpdates.png)

在更新管理中点击扫描

![InstallUpdates](./images/InstallUpdates.png)

扫描完成后，选择需要安装的更新，然后点击`安装`即可，然后耐心的等待安装完成……

> 温馨提示：<br>1：如果你不喜欢Win10自带的一堆Appx，你还可以在空间回收中使用过期Appx清理，这样就从系统安装包内就删除了Appx，安装系统后也没有自带Appx了。<br>
2：安装完毕后，请重新扫描。因为补丁是以分批推送的，需要反复扫描安装多次，才能完成补丁安装。<br>
3：安装更新后进行过期WinSxS组件清理很可能导致失败。这是因为更新挂起导致，解决办法只能安装到虚拟机。

## 保存install.wim
操作成功后，你可以点击文件选择`保存映像`，并选择覆盖保存。完成后点击`卸载映像`。

### 优化wim文件体积
由于保存映像会引入垃圾数据，增大文件体积。要得到最优体积，请点击 文件 - 打开映像文件。将处理的映像导出到`D:\Temp\Sources\install2.wim`。

然后把`D:\Temp\Sources\install2.wim`改名为`install.wim`。

## 保存ISO
Dism++中的青蛙插件提供了ISO生成器，它可以制作双引导ISO（同时支持传统BIOS与UEFI启动）。

![SaveISO](./images/SaveISO.png)

如图所示，我们把 D:\Temp，中的内容保存为`D:\Win7New.iso`。

> 温馨提示：如果你要同时处理Win7家庭版、专业版、旗舰版，那么我建议你想处理家庭版，然后其他版本可以通过系统版本升级进行处理。也可以多个版本同时集成补丁，Dism++支持多个映像同时集成补丁。